Cuando intento instalar el Android Developer Tool, me sale el siguiente error.

Software está instalado: Android
Herramientas De Desarrollo
11.0.0.v201105251008-128486 (com.android.ide.eclipse.adt.la característica.grupo
11.0.0.v201105251008-128486) alguno de los requisitos: Android Herramientas de Desarrollo
11.0.0.v201105251008-128486 (com.android.ide.eclipse.adt.la característica.grupo
11.0.0.v201105251008-128486) requiere » org.eclipse.wst.ess.núcleo 0.0.0′ pero
no se pudo encontrar

También he encontrado que la adición de la WST paquete no ayuda. Tengo la siguiente,

No puede completar la instalación porque
uno o más elementos no podría
ser encontrado. Software que se instala:
Google Web Toolkit SDK 2.3.0
2.3.0.r37v201106211634 (com.google.gwt.eclipse.sdkbundle.e37.la característica.la característica.grupo
2.3.0.r37v201106211634) Falta de requisito: Google Plugin para Eclipse
3.7 2.3.2.r37v201106211634 (com.google.gdt.eclipse.la suite.e37.la característica.la característica.grupo
2.3.2.r37v201106211634) requiere » org.eclipse.wst.xml.núcleo 0.0.0′ pero
no podía ser encontrado No puede satisfacer
dependencia:
Desde: Google Web Toolkit SDK 2.3.0 2.3.0.r37v201106211634 (com.google.gwt.eclipse.sdkbundle.e37.la característica.la característica.grupo
2.3.0.r37v201106211634)
A: com.google.gdt.eclipse.la suite.e37.la característica.la característica.grupo
2.3.2

Yo estoy usando Eclipse Indigo versión de 64 bits. Es posible que alguien me apunte en la dirección correcta? O decirme donde encontrar ese paquete que falta.

  • El ADT requisitos del sistema especificar que funciona con Eclipse 3.5, y no menciona 3.6 o 3.7 a todos. Si quieres ir a lo seguro, yo sugiero que usted descarga de Eclipse 3.5 32 bits. ADT no trabajo con Eclipse de 64 bits
  • Estoy corriendo a ADT de Eclipse x64
  • Así estoy yo. funciona perfectamente
  • Yo podría estar seriamente confundido, pero estoy bastante seguro de que había una gran cantidad de dolor hace alrededor de 2 años tratando de instalarlo en Eclipse 64b, hasta que he leído que sólo funcionaba en Eclipse 32b… Esto podría haber cambiado en el tiempo, o puede ser que necesite para conseguir mi cabeza comprobado :)… o ambos
  • 3.5 (Galileo) o superior» es compatible. Esto puede ser entendido como el apoyo a la última versión.
  • Si utiliza AVG antivirus se debe deshabilitar. Sólo esto me ayudó (gracias @Lizozom desde otra pregunta acerca de este error).

InformationsquelleAutor Hades | 2011-06-26

7 Comentarios

  1. 89

    La cabeza a Help -> Install New Software. Haga clic en sitios de software Disponibles. Borrar el Android repo. Desactive Indigo & Eclipse actualizaciones y aplicaciones; revisar ellos. Ahora la cabeza hacia atrás para Ayudar a -> buscar actualizaciones. Una vez hecho esto, agregar el Android repo de nuevo. Aceptar la licencia & usted debe ser bueno para ir.

    (Tenía que hacer el mismo ayer, después de llegar Índigo)

    • Wow…!! Eso fue impresionante..!!
    • Ahora acabo de llegar de una carga de mensajes acerca de conflicto de dependencias… Maldita sea java!
    • Esto me ayudó a salir. Además, las actualizaciones no estaban en silencio hasta que me encontré Eclipse.exe como un Administrador. Probablemente no habría funcionado si yo no tenía esa opción.
    • No olvide seleccionar «Contacto todos los sitios de actualización durante la instalación, para encontrar el software necesario»
    • trabajó para mí en linux. muchas gracias.
    • a resolver mi problema gracias @Sathya

  2. 44

    Yo tenía el mismo problema. Esto ayudó para mí:

    1. Ir a Ayuda->Instalar Software
    2. Haga clic en «Sitios de Software Disponibles»
    3. Haga clic en Agregar:
      Nombre: «Helios»
      Ubicación: «http://download.eclipse.org/releases/helios»
    4. Intentar instalar Android Herramientas de Desarrollo
    • Gracias. Que parecía solucionarlo por mí. Supongo que sólo es necesario saber de la ubicación de la Helios repositorio para las dependencias. No conocer el funcionamiento interno no puedo adivinar más. Por desgracia esto no se siente como una solución muy «limpia», pero me tiene en marcha y funcionando. (Eclipse Classic 3.7 Win32 construir corriendo en Win 7 Pro x64).
    • lo mismo digo, yo no tenía ningún eclipse indigo repo y utilizado la solución y funciona con android adt r12, eclipse 3.7, amd de 64 bits del servidor de la jvm. Thx
    • Actualización : funciona mucho rápido que el eclipse 3.6 para mí, con la configuración 3.6 de este hilo stackoverflow.com/questions/142357/…
    • Esto no funciona en 3.7. Sólo dice que «Duplicar la ubicación». Mismo con ..releases/indigo. Y si la actualización de todos modos usted recibir mensajes sobre conflicto de dependencias.
    • Trabajó con el índigo repositorio: download.eclipse.org/releases/indigo
    • Fantástico, gracias! Esta fue la única solución que me ha funcionado para el molesto problema de actualización.

  3. 17

    Tengo alrededor de la org.eclipse.wst.xml.core 0.0.0 problema de tomar los siguientes pasos:

    • Ir a ayudar a
    • Instalar Software Nuevo: Agregar Nombre: Indigo: «http://download.eclipse.org/releases/indigo«
    • Seleccione ‘WST Adaptadores de Servidor‘ bajo ‘Web, XML, Java,...» (el último nombre en la lista)
    • Aceptar el acuerdo de licencia
    • Reiniciar Eclipse
    • Reanudar el procedimiento para instalar ADT

    A mí me funcionó, espero que para ustedes también.

    • Puedo confirmar que esto funcionó para mí también, el uso de Eclipse Classic Índigo.
    • En mi experiencia, esto funciona, pero, simplemente como download.eclipse.org/releases/indigo fue añadido al software repos. (Ver a Alex de la respuesta)
    • tiene razón u! la solución:)
    • Trabajó para mí (Linux Indigo 64 bits). Gracias!
  4. 11

    He tenido el mismo problema. Las otras soluciones que aquí no funciona para mí, porque ni siquiera podía ver el Índigo /Helios actualizar los repos. El problema fue que el Eclipse fue en Archivos de Programa, pero no se me ejecuta como administrador.

    • Mismo problema aquí en Windows 7. Se trasladó Eclipse fuera de Archivos de Programa y el problema desapareció. Alternativamente, usted siempre puede ejecutar Eclipse como Administrador como parece que ha hecho.
  5. 10

    Así que me puse índigo, y luego :
    Ir a Ayuda->Instalar Nuevo Software
    Haga clic en Agregar: Nombre: «Indigo» Ubicación: «http://download.eclipse.org/releases/indigo»
    Intente instalar Android Herramientas de Desarrollo (como se verá, sólo 1 opción de 4 aparecerá esto es normal para Indigo)

    • Gracias. Extrañamente, en mi Ubuntu 11.10 , con el defecto de Indigo instalar, este repositorio no estaba disponible. He tenido que añadir a mano. Wierd.
  6. 6

    Asegurarse de que tiene la opción de «Contacto todos los sitios de actualización durante la instalación, para encontrar el software necesario». Esta opción se encuentra en la esquina inferior izquierda de la primera pantalla después de la elección de la Ayuda/Agregar Nuevo Software. Esto está desactivada de forma predeterminada. Esto solucione el problema si es que era desenfrenado.

    El plugin se instala en 3.7 32 bits y 64 bits.

  7. 5

    El Google Plugin para Eclipse depende de otros específicos Eclipse componentes, tales como WST. La instalación de Eclipse puede no incluir todas ellas, pero pueden ser fácilmente instalado siguiendo estas instrucciones. Eclipse 3.7 (Índigo)

     Select Help > Install New Software...
    
    Click the link for Available Software Sites.
    Ensure there is an update site named Indigo. 
    
    If this is not present, click Add... and 
    enter http://download.eclipse.org/releases/indigo for the Location.
    
    Now go through the installation steps; Eclipse should download and install 
    the plugin's dependencies.
    • Esto funcionó para mí – Por defecto eclipse Indigo tenido esta marcada, pero también había algunos otros sitios de software comprobado también. He desmarcado todos y sólo se comprueba el índigo y el sitio de android sitio y se ha instalado en mi 64 bits instalar bien.

Dejar respuesta

Please enter your comment!
Please enter your name here